@Echo off
REM #New: 20.01.2023/J.Fes Get UTC Time and generates vars $DateTimeNowFileExt
REM #LUP: 12.06.2025/J.Fes using now JobMgrCMDHelper.exe
REM #LUP: 28.07.2025/J.Fes Opti find JobMgrCMDHelper.exe
REM #LUP: 31.07.2025/J.Fes Opti find JobMgrCMDHelper.exe


set JobMgrCMDHelperExe_NE=JobMgrCMDHelper.exe
REM if not defined BinPublic_L_DP set BinPublic_L_DP=%ProgramData%\JobManager_V3\03-BinPublic

Call SetEnvFirstFound JobMgrCMDHelperEXE_DPNE^
 "%BinPublic_L_DP%\%JobMgrCMDHelperExe_NE%"^
 "%~dp0JobMgrCMDHelper.exe"^
 "%BinPublic_S_DP%\%JobMgrCMDHelperExe_NE%"^
 "%ProgramData%\PLMPerfV4\03-BinPublic\%JobMgrCMDHelperExe_NE%"^
 "%ProgramData%\JobManager_V3\03-BinPublic\%JobMgrCMDHelperExe_NE%"

set GetUTCTimeTempCmd_DPNE=%temp%\DateTimeGetUtcTemp$%UserName%.cmd

call "%JobMgrCMDHelperEXE_DPNE%" -quiet -GetUTCTime "%GetUTCTimeTempCmd_DPNE%"
Call "%GetUTCTimeTempCmd_DPNE%" 1>nul 2>nul

REM  set JobMgr_Debug=ON
if /i "%JobMgr_Debug%" neq "ON" goto :JumbOverDebug
 Echo #Debug..........................: %~nx0
 Echo JobMgrCMDHelperEXE_DPNE.........: %JobMgrCMDHelperEXE_DPNE%
 Echo #Debug..........................: List of DateTimeNowFileExt Values:
 Echo $DateTimeNowFileExt_YMD.........: %$DateTimeNowFileExt_YMD%
 Echo $DateTimeNowFileExt_YMDH........: %$DateTimeNowFileExt_YMDH%
 Echo $DateTimeNowFileExt_YMDHM.......: %$DateTimeNowFileExt_YMDHM%
 Echo $DateTimeNowFileExt_YMDHMS......: %$DateTimeNowFileExt_YMDHMS%
 pause
:JumbOverDebug
